Loading...
Searching...
No Matches
vec_concat< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::vec_concat< T, M >

Definition at line 61 of file vec_concat.h.

## Public Types

typedef vec< T, M >::size_type | size_type
typedef vec_concat_value< T, M > | value_type

## Public Member Functions

| vec_concat ()
vec< T, M > | build_vec () const
| vec_concat (const std::initializer_list< value_type > &il)

## Protected Attributes

std::list< value_type > | _l

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef vec<T,M>::size_type size_type

Definition at line 64 of file vec_concat.h.

## value_type

template<class T , class M >

typedef vec_concat_value<T,M> value_type

Definition at line 65 of file vec_concat.h.

## Constructor & Destructor Documentation

## vec_concat() [1/2]

template<class T , class M >

vec_concat | ( |  | ) |

Definition at line 69 of file vec_concat.h.

## vec_concat() [2/2]

template<class T , class M >

vec_concat | ( | const std::initializer_list< value_type > & | il | ) |

Definition at line 72 of file vec_concat.h.

## Member Function Documentation

## build_vec()

template<class T , class M >

vec< T, M > build_vec | ( |  | ) | const

Definition at line 29 of file vec_concat.cc.

## Member Data Documentation

## _l

template<class T , class M >

std::list<value_type> _l

protected

Definition at line 81 of file vec_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/vec_concat.h
- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/vec_concat.cc